#pragma once

#include <vector>
#include "Object.h"

class World {
public:
	
	World();
	~World();
	
	//プレイヤーを登録
	void SetPlayer(Player *pPlayer) {
		this->pPlayer = pPlayer;
	}
	
	//プレイヤーを取得
	Player *GetPlayer() {
		return pPlayer;
	}
	
	//敵を登録
	void SetEnemy(Enemy *pEnemy) {
		this->pEnemy = pEnemy;
	}
	
	//敵を取得
	Enemy *GetEnemy() {
		return pEnemy;
	}
	
	//プレイヤーの弾を追加
	void AddPlayerBullet(PlayerBullet *pBullet);
	
	//世界を更新
	void Update();
	
	//世界を描画
	void Draw();
	
protected:
	Player *pPlayer;
	Enemy *pEnemy;
	std::vector<PlayerBullet*> vecBullets;
};


